{% extends 'AppBundle::layout.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('bundles/app/css/circle.css') }}" />
    {% include 'AppBundle:Map:stylesheet.html.twig' %}
{% endblock %}
{% block window_title %}{{ parent() }}{% endblock %}

{% block page_subtitle1 %}Bienvenue {{ is_granted('ROLE_SUPER_ADMIN') ? '' : app.user.firstName }}!{% endblock %}

{% block body %}
    <div id="dashboard" class="row">
        {% if is_granted("ROLE_FRIEND") %}
            <div id="infos" class="col-sm-12">
                <div class="row">
                {% set break = 0 %}

                {% set pageBreak = 1 %}
                    <div class="col-sm-2 col-md-1" style="padding-left: 10px; padding-right: 0px;margin-top: -5px; margin-bottom: -5px">
                        <span class="pull-left help-primary" style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                        Derniers éléments créés:
                        </span>
                    </div>
                {% for data in datas if break < elements %}
                    <div class="col-sm-2 col-md-1" style="padding-left: 10px; padding-right: 0px;margin-top: -5px; margin-bottom: -5px">
                        {% if data.type == 'info' %}
                            <span class="pull-left info-primary data-primary" style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                                <a href="{{ path('info_view', {id: data.id}) }}">
                                    <small>{{ data.createdAt|date('d/m') }} {{ data.title }}</small>
                                </a>
                            </span>
                        {% elseif data.type == 'file' %}
                            <span class="pull-left file-primary data-primary" style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                                <a href="{{ path('file_view', {id: data.id}) }}">
                                    <small>{{ data.createdAt|date('d/m') }} {{ data.title }}</small>
                                </a>
                            </span>
                        {% elseif data.type == 'event' %}
                            <span class="pull-left event-primary data-primary" style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                                <a href="{{ path('event_view', {id: data.id}) }}">
                                    <small>{{ data.date|date('d/m') }} {{ data.title }}</small>
                                </a>
                            </span>
                        {% elseif data.type == 'votation' %}
                            <span class="pull-left data-primary vote-primary " style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                                <a href="{{ path('votation_view', {id: data.id}) }}">
                                    <small>{{ data.date|date('d/m') }} {{ data.title }}</small>
                                </a>
                            </span>
                        {% elseif data.type == 'post' %}
                            <span class="pull-left data-primary vote-primary " style="margin-left: 5px; margin-bottom: 10px; margin-top: -10px">
                                <a href="{{ path('view_post', {'name': data.name}) }}">
                                    <small>{{ data.date|date('d/m') }} {{ data.title }}</small>
                                </a>
                            </span>
                        {% endif %}
                    </div>
                    {% set break = break + 1 %}
                    {% set pageBreak = pageBreak + 1 %}
                    {% if pageBreak % 12 == 0 %}
                        <div class="col-sm-12"><br></div>
                    {% endif %}

                {% endfor %}
                {% if elements < datas|length %}
                    <div class="col-sm-1" style="padding-left: 10px; padding-right: 0px;margin-top: -5px; margin-bottom: -5px">
                    <a href="{{ path('dashboard', { 'elements': elements + 10}) }}"
                       class="pull-right btn btn-primary">Plus ...</a>
                    </div>
                {% endif %}
                </div>
            </div>
        {% endif %}
        {% if page %}
        <div id="welcome" class="col-xs-12">
            <div class="sub-panel" style="width: 100%; min-height: 100%;">
            <div class="innerPage">
                {% for block in main %}
                    {% include 'AppBundle:Site:block.html.twig' %}
                {% endfor %}
            </div>
            </div>
        </div>
        <div id="welcome_br" class="col-xs-12">
            <br>
        </div>
        {% endif %}
        <div id="events"></div>
        <div class="col-md-4 col-sm-6 col-xs-12">
            {% include 'AppBundle:Event:small_timeline.html.twig' %}
            {% if proposals|length > 0 %}
            <br>
            {% set maxProposal = 5 %}
            {#{% include 'AppBundle:Content/Proposal:dashboardPanel.html.twig' %}#}
            {% endif %}
        </div>

        <div id="groups" class="col-md-4 col-sm-6 col-xs-12">
            <div>
            <span class="pull-left">
                <h1>Organisation du mouvement</h1>
                <ul>
                    <li>Assemblée du mouvement: <small>cliquez sur la bulle pour connaitre la prochaine date</small></li>
                    <li>Le comité de pilotage coordonne les groupes de travail: <small>cliquez sur le groupe qui vous intéresse</small></li>
                    <li>Le groupe "Projet" structuré autour de groupes thématiques:<small>Allez dans ce groupe pour voir les sous-groupes</small></li>
                </ul>
                <br><br>
            </span>

            </div>

            {% set menu = 0 %}
            {% set wgroups = groups %}
            {% include '@App/User/Dashboard/potatoesGroup.html.twig' %}
        </div>
        <div id="assemblee" class="col-sm-6 col-xs-12 col-md-4">
            {% if assemblee is defined and assemblee %}
                {% set group = assemblee %}
                {% set canClick = 1 %}
                {% include 'AppBundle:Group:bubbleGroup.html.twig' %}
            {% endif %}
            {% set site = site_helper.getSite() %}
            {% if site.isMap %}
                <div>
                <a href="{{ path('map') }}"
                   class="btn btn-primary"><i class="fa fa-search"></i>&nbsp;&nbsp;Agrandir la carte</a>
                {% set zoom = 10 %}
                    {% include '@App/Map/view.html.twig' %}
                </div>
            {% endif %}
        </div>

        {#{% if project %}#}
            {#<div id="project" class="col-xs-12">#}
                {#{% include 'AppBundle:Project:panel.html.twig' %}#}
            {#</div>#}
        {#{% endif %}#}
        {#<div class="col-xs-6">#}
            {#{% if votations|length > 0 %}#}
                {#{% include 'AppBundle:Subscription/Votation:panel.html.twig' %}#}
            {#{% endif %}#}
        {#</div>#}
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {% if actionUrl %}
        <script>
            $(document).ready(function() {
                showModal('{{ actionUrl }}');
            });
        </script>
    {% endif %}
    {% include 'AppBundle:Map:js.html.twig' %}
{% endblock %}
